Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ashwood.graph
Class FilterArcIterator<E,V>

    java.lang.Object
      org.apache.cayenne.ashwood.graph.FilterArcIterator<E,V>

All Implemented Interfaces:
  java.util.Iterator<V>, ArcIterator<E,V>

    public class FilterArcIterator<E,V>

extends java.lang.Object
implements ArcIterator<E,V>

Since:
  3.1

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator
`ArcIterator.EmptyIterator<E,V>`

Field Summary

Fields inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator
`EMPTY_ITERATOR`

Constructor Summary
`FilterArcIterator(ArcIterator<E,V> iterator, org.apache.commons.collections.Predicate acceptOrigin, org.apache.commons.collections.Predicate acceptDestination, org.apache.commons.collections.Predicate acceptArc)`

Method Summary
`E` | `getDestination()`
`E` | `getOrigin()`
`boolean` | `hasNext()`
`V` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterArcIterator

    public FilterArcIterator(ArcIterator<E,V> iterator,
                             org.apache.commons.collections.Predicate acceptOrigin,
                             org.apache.commons.collections.Predicate acceptDestination,
                             org.apache.commons.collections.Predicate acceptArc)

Method Detail

### getOrigin

    public E getOrigin()

  Specified by:
    `getOrigin` in interface `ArcIterator<E,V>`

### getDestination

    public E getDestination()

  Specified by:
    `getDestination` in interface `ArcIterator<E,V>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<V>`

### next

    public V next()

  Specified by:
    `next` in interface `java.util.Iterator<V>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.